> For the complete documentation index, see [llms.txt](https://docs.migration-center.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.migration-center.com/3.14/release-notes.md).

# Release Notes

## migration-center 3.14

{% hint style="warning" %}
Starting with version 3.13 Update 2, the **SharePoint Online Importer does only support app-only principal authentication** and no user name / password authentication. Please ensure that this will work for you before you upgrade your existing installation!
{% endhint %}

### Features & Enhancements

* Alfresco Scanner
  * New feature: Scan only last "n" versions (#54289)
  * New feature: Scan multiple sites (#54291)
* D2 Importer
  * Support for D2 20.2
* Documentum Scanner / Importer
  * Support for Documentum Server 20.2
* OpenText Importer
  * Support for OpenText Content Server 20.2
* OpenText Scanner
  * New feature: Scan shortcuts as distinct MC objects (#53710)
  * New feature: Scan any folder subtype objects (#53711)
* SharePoint Online Importer (Classic)
  * New feature: Add user-agent traffic decoration (#52837)
* SharePoint Online Importer (Batch)
  * New feature: Importing role assignments (#54440)
* Tools
  * New tool to export document type definitions from Veeva available (#51539)

### Fixes

* OpenText Scanner
  * NPE occurs using excludeFolderPaths (#54326)
  * Wildcards do not work in the root folder (#54329)
  * Set attributes are not scanned if the name is longer than 100 chars (#54589)
* SharePoint Online Importer (Batch)
  * SPO batch importer checks wrong content location (#54568)
  * SPO batch importer throws error when importing large folder hierarchy (#54574)
  * NPE for objects with NULL value in levelInVersionTree in SPO batch importer (#54637)
* SharePoint Importer
  * Wrong max length limit for parentFolder system attribute when importing to SP 2019 (#54592)

### Known Issues & Limitations

* General / logging
  * The installer does not update the location of the Job Server's log files. So if you do not want to use the default location for log files, which is `<Job Server Home>/logs`, you need to manually update the log file location in the `<Job Server Home>/lib/mc-core/logback.xml` configuration file (#54732)
* D2 Importer
  * Support for importing to D2 4.1, 4.5, and 4.6 was removed
* OpenText Scanner
  * Using binders in the parameters "scanFolderPaths" and "excludeFolderPaths" is not supported (#54963)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.migration-center.com/3.14/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
